# /bin/sh !

CC=$1
INSTALL_DIR=`which $CC`


INSTALL_DIR=`dirname $INSTALL_DIR`

BIN_PATH=$INSTALL_DIR
CURRENT_DIR=`pwd`
cd $INSTALL_DIR
cd ../
INSTALL_DIR=`pwd `
cd $CURRENT_DIR


  ac_prog_version=`$CC -v 2>&1 | sed -n 's/^.*version \([egcygnustpi-]*[0-9.]*\).*$/\1/p'`
  case $ac_prog_version in
    '') ac_prog_version="v. ?.??, bad"; ac_verc_fail=yes;;
    3.4.3)
        ac_verc_fail=no;;
     *) ac_verc_fail=yes;;

  esac

  ac_is_softfloat_version=`$CC -v 2>&1 | grep with-float=soft -c`
  
  if [ "$ac_is_softfloat_version" != "1" ];
    then
    echo "please set PATH variable to point to your softfloat version of GCC-3.4.3 !"
    echo "please also set CROSS variable to a suitable command prefix like 'arm-elf' or 'arm-linux' "
    echo "this version cannot be used with crunch-softfloat"
    exit 1;
  fi

echo "GCC version different from GCC-3.4.3 ? " $ac_verc_fail
echo "gcc installed in: "$INSTALL_DIR
echo "gcc bin directory is: "$BIN_PATH


get_libgcc_path()
{
    find $INSTALL_DIR -path "*/3.4.3/libgcc.a" 
}

LIBGCC_PATH=$(get_libgcc_path)
LIBGCC_PATH=`dirname $LIBGCC_PATH`

if [ "$LIBGCC_PATH" == "" ];
    then
    echo "couldn't locate gcc-3.4.3's libgcc.a !"
    exit 1;
fi

echo libgcc.a found : $LIBGCC_PATH

if [ -e $LIBGCC_PATH/libgcc.a-nofloat ];
    then
	echo removing crunchlib support;
	mv $LIBGCC_PATH/libgcc.a-softfloat $LIBGCC_PATH/libgcc.a
	rm $LIBGCC_PATH/libgcc.a-nofloat;
	rm $LIBGCC_PATH/libfloat.a
	rm $BIN_PATH/arm-linux-chfloat;
    else
	echo no crunchlib support found, not removing anything !;
	exit 1;
fi

